OGRE-Next: Ogre::v1::MeshSerializerImpl Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::MeshSerializerImpl Class Reference
Core » Resources

Internal implementation of Mesh reading / writing for the latest version of the .mesh format. More...

`#include <OgreMeshSerializerImpl.h>`

Inheritance diagram for Ogre::v1::MeshSerializerImpl:
[legend]

## Public Member Functions
| MeshSerializerImpl ()
virtual | ~MeshSerializerImpl ()
void | exportMesh (const Mesh *pMesh, DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
| Exports a mesh to the file specified.
void | importMesh (DataStreamPtr &stream, Mesh *pDest, MeshSerializerListener *listener)
| Imports Mesh and (optionally) Material data from a .mesh file DataStream.
Public Member Functions inherited from Ogre::Serializer
| Serializer ()
virtual | ~Serializer ()

## Additional Inherited Members
Public Types inherited from Ogre::Serializer
enum | Endian { ENDIAN_NATIVE , ENDIAN_BIG , ENDIAN_LITTLE }
| The endianness of written files. More...

## Detailed Description

Internal implementation of Mesh reading / writing for the latest version of the .mesh format.

Remarks
  In order to maintain compatibility with older versions of the .mesh format, there will be alternative subclasses of this class to load older versions, whilst this class will remain to load the latest version.

Note
  This mesh format was used from Ogre v1.10.

## Constructor & Destructor Documentation

## ◆ MeshSerializerImpl()

Ogre::v1::MeshSerializerImpl::MeshSerializerImpl | ( |  | ) |

## ◆ ~MeshSerializerImpl()

virtual Ogre::v1::MeshSerializerImpl::~MeshSerializerImpl | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ exportMesh()

void Ogre::v1::MeshSerializerImpl::exportMesh | ( | const Mesh * | pMesh,
|  | DataStreamPtr | stream,
|  | Endian | endianMode = ENDIAN_NATIVE )

Exports a mesh to the file specified.

Remarks
  This method takes an externally created Mesh object, and exports both it and optionally the Materials it uses to a .mesh file.

Parameters

  pMesh | Pointer to the Mesh to export
  stream | The destination stream
  endianMode | The endian mode for the written file

References Ogre::Serializer::ENDIAN_NATIVE.

## ◆ importMesh()

void Ogre::v1::MeshSerializerImpl::importMesh | ( | DataStreamPtr & | stream,
|  | Mesh * | pDest,
|  | MeshSerializerListener * | listener )

Imports Mesh and (optionally) Material data from a .mesh file DataStream.

Remarks
  This method imports data from a DataStream opened from a .mesh file and places it's contents into the Mesh object which is passed in.

Parameters

  stream | The DataStream holding the .mesh data. Must be initialised (pos at the start of the buffer).
  pDest | Pointer to the Mesh object which will receive the data. Should be blank already.

The documentation for this class was generated from the following file:

- OgreMeshSerializerImpl.h